import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const url =
'https://gist.githubusercontent.com/Karnisrikanth/1107bf0e6953e98f1a26cf4c08cfc7b0/raw/711b2fe56d8b49112237f8bdfeb6fb61b85817f2/tpojson.csv'
export const loadData = () => {
  const [data, setData] = useState(null);

   useEffect(() => {
     json(url).then(topology => {
       const { countries, nation } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, countries, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
